Last Comment Bug 728521 - Remove unused 'gIMAPService' const/var in (IMAP) tests
: Remove unused 'gIMAPService' const/var in (IMAP) tests
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: All All
: P4 trivial (vote)
: Thunderbird 13.0
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 20:57 PST by Serge Gautherie (:sgautherie)
Modified: 2012-02-21 12:35 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Remove unused 'gIMAPService' const/var, Remove some duplicated vars [Checked in: Comment 3] (15.04 KB, patch)
2012-02-20 19:19 PST, Serge Gautherie (:sgautherie)
standard8: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-02-17 20:57:29 PST
1) Most are 'const gIMAPService', which should better be 'const kIMAPService'.
2) Most are even unused. Are these actually useful? (As in triggering something.)

Document/Improve/Cleanup.
Comment 1 Mark Banner (:standard8, limited time in Dec) 2012-02-20 05:38:57 PST
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> 1) Most are 'const gIMAPService', which should better be 'const
> kIMAPService'.
> 2) Most are even unused. Are these actually useful? (As in triggering
> something.)

Agreed that they seem unused. Should be a simple & quick test to confirm that.

I probably wouldn't fuss about g versus k unless I was actually in there touching the code for some other purposes, and even then I probably wouldn't bother changing it.
Comment 2 Serge Gautherie (:sgautherie) 2012-02-20 19:19:08 PST
Created attachment 599032 [details] [diff] [review]
(Av1) Remove unused 'gIMAPService' const/var, Remove some duplicated vars
[Checked in: Comment 3]

http://build.mozillamessaging.com/tinderboxpushlog/?tree=ThunderbirdTry&rev=86a0a8f1f477
succeeds (so far).
Comment 3 Serge Gautherie (:sgautherie) 2012-02-21 09:41:30 PST
Comment on attachment 599032 [details] [diff] [review]
(Av1) Remove unused 'gIMAPService' const/var, Remove some duplicated vars
[Checked in: Comment 3]

http://hg.mozilla.org/comm-central/rev/c1a6a7f12583
Comment 4 Serge Gautherie (:sgautherie) 2012-02-21 12:35:59 PST
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1329850326.1329851394.28818.gz
Linux comm-central test xpcshell on 2012/02/21 10:52:06

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.